Update User

Update details for an existing user.

This method lets you update the details of one or more users in the Saner Server. It requires the IDs of users and all other information to be updated. The key ‘role’ accepts the following values: ACCOUNTADMIN, ORGADMIN, and NORMAL.

KeyMeaningMandatoryData Type
idID of the user to be updated.Yesstring
newidNew ID for the user (used to update login ID).Nostring
nameName of the user.Nostring
UserGroupUser group for the user.Nostring
roleRole of the user (ACCOUNTADMIN, ORGADMIN, NORMAL).Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.User.update(
    id="[email protected]",
    newid="[email protected]"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json